Last Comment Bug 824459 - Thunderbird build is broken after Bug 807678 (error: no matching function for call to ‘nsIDNSRecord::GetNextAddr(int, PRNetAddr*)’)
: Thunderbird build is broken after Bug 807678 (error: no matching function for...
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: LDAP Integration (show other bugs)
: Trunk
: x86_64 Windows Vista
: -- blocker (vote)
: Thunderbird 20.0
Assigned To: ABE Hiroki (:hATrayflood)
:
Mentors:
Depends on:
Blocks: 807678
  Show dependency treegraph
 
Reported: 2012-12-24 02:54 PST by ojab
Modified: 2012-12-30 02:51 PST (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
fix v1.0 (4.08 KB, patch)
2012-12-24 08:30 PST, Josh Aas
no flags Details | Diff | Splinter Review
Fix. (v1) (2.21 KB, patch)
2012-12-28 19:46 PST, Edmund Wong (:ewong)
no flags Details | Diff | Splinter Review
fix Winsock2.h collision with winsock.h (1.03 KB, patch)
2012-12-28 19:47 PST, ABE Hiroki (:hATrayflood)
no flags Details | Diff | Splinter Review
fix v1.1 Winsock2.h collision with winsock.h (1.33 KB, patch)
2012-12-28 20:00 PST, ABE Hiroki (:hATrayflood)
no flags Details | Diff | Splinter Review
Fix. (v2) (1.74 KB, patch)
2012-12-28 20:02 PST, Edmund Wong (:ewong)
no flags Details | Diff | Splinter Review
wip v1.2 Winsock2.h collision (4.08 KB, patch)
2012-12-29 06:02 PST, ABE Hiroki (:hATrayflood)
no flags Details | Diff | Splinter Review
fix v1.3 Winsock2.h collision (2.00 KB, patch)
2012-12-29 07:31 PST, ABE Hiroki (:hATrayflood)
no flags Details | Diff | Splinter Review
fix v1.4 Winsock2.h collision, and function name PostMessage collision (3.60 KB, patch)
2012-12-29 18:49 PST, ABE Hiroki (:hATrayflood)
standard8: review+
Details | Diff | Splinter Review

Description ojab 2012-12-24 02:54:10 PST
make[7]: Leaving directory `/home/ojab/opt/mail/ldap/xpcom/public'
In file included from /sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp:26:0:
/sources/comm-central/ldap/xpcom/src/nsLDAPUtils.h: In function ‘bool IsUTF8(const nsACString&)’:
/sources/comm-central/ldap/xpcom/src/nsLDAPUtils.h:127:31: warning: suggest parentheses around ‘&&’ within ‘||’ [-Wparentheses]
/sources/comm-central/ldap/xpcom/src/nsLDAPUtils.h:128:43: warning: suggest parentheses around ‘&&’ within ‘||’ [-Wparentheses]
/sources/comm-central/ldap/xpcom/src/nsLDAPUtils.h:131:50: warning: suggest parentheses around ‘&&’ within ‘||’ [-Wparentheses]
/sources/comm-central/ldap/xpcom/src/nsLDAPUtils.h:132:35: warning: suggest parentheses around ‘&&’ within ‘||’ [-Wparentheses]
/sources/comm-central/ldap/xpcom/src/nsLDAPUtils.h:132:52: warning: suggest parentheses around ‘&&’ within ‘||’ [-Wparentheses]
/sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp: In constructor ‘nsOnLDAPInitMessageRunnable::nsOnLDAPInitMessageRunnable(nsILDAPMessageListener*, nsILDAPConnection*, nsresult)’:
/sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp:410:36: warning: ‘nsOnLDAPInitMessageRunnable::m_listener’ will be initialized after [-Wreorder]
/sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp:409:31: warning:   ‘nsCOMPtr<nsILDAPConnection> nsOnLDAPInitMessageRunnable::m_conn’ [-Wreorder]
/sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp:414:1: warning:   when initialized here [-Wreorder]
/sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp: In member function ‘virtual nsresult nsLDAPConnection::OnLookupComplete(nsICancelable*, nsIDNSRecord*, nsresult)’:
/sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp:498:16: error: no matching function for call to ‘nsIDNSRecord::GetNextAddr(int, PRNetAddr*)’
/sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp:498:16: note: candidate is:
In file included from /sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp:16:0:
../../../mozilla/dist/include/nsIDNSRecord.h:35:14: note: virtual nsresult nsIDNSRecord::GetNextAddr(uint16_t, mozilla::net::NetAddr*)
../../../mozilla/dist/include/nsIDNSRecord.h:35:14: note:   no known conversion for argument 2 from ‘PRNetAddr*’ to ‘mozilla::net::NetAddr*’
make[7]: *** [nsLDAPConnection.o] Error 1
make[7]: Leaving directory `/home/ojab/opt/mail/ldap/xpcom/src'
Comment 1 Ian Neal 2012-12-24 06:02:54 PST
Confirming, currently bug 807678 has been backed again from m-c, but this will need to be fixed when it lands again.
nsSmtpProtocol.cpp will probably need fixing too - http://mxr.mozilla.org/comm-central/source/mailnews/compose/src/nsSmtpProtocol.cpp#345
Comment 2 Josh Aas 2012-12-24 08:30:47 PST
Created attachment 695490 [details] [diff] [review]
fix v1.0

I didn't try to compile this, I just cloned comm-central and wrote this to get the ball rolling. It's probably mostly correct.
Comment 3 ojab 2012-12-24 23:50:21 PST
Latest comm-central+mozilla-inbound still fails ("mozilla/net/DNS.h" include needed?):

make[7]: Entering directory `/home/ojab/opt/mail/ldap/xpcom/src'
c++ -o nsLDAPConnection.o -c -I../../../mozilla/dist/stl_wrappers -I../../../mozilla/dist/system_wrappers -include /sources/comm-central/mozilla/config/gcc_hidden.h -DMOZ_PREF_EXTENSIONS -DMOZ_PSM -DMOZ_GLUE_IN_PROGRAM -DMOZ_THUNDERBIRD=1 -DOSTYPE=\"Linux3.7\" -DOSARCH=Linux -I../../../mozilla/dist/public/ldap -I/sources/comm-central/ldap/xpcom/src -I. -I../../../mozilla/dist/include -I../../../mozilla/dist/include/nsprpub  -I/usr/include/nspr -I/usr/include/nss      -fPIC  -pedantic -Wall -Wpointer-arith -Woverloaded-virtual -Werror=return-type -Wtype-limits -Wempty-body -Werror=conversion-null -Wno-ctor-dtor-privacy -Wno-overlength-strings -Wno-invalid-offsetof -Wno-variadic-macros -Wcast-align -Wno-long-long -fno-exceptions -fno-strict-aliasing -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -std=gnu++0x -pthread -pipe  -DNDEBUG -DTRIMMED -g -Os -freorder-blocks  -fomit-frame-pointer   -DMOZILLA_CLIENT -include ../../../comm-config.h -MD -MF .deps/nsLDAPConnection.pp /sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp
In file included from /sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp:26:0:
/sources/comm-central/ldap/xpcom/src/nsLDAPUtils.h: In function ‘bool IsUTF8(const nsACString&)’:
/sources/comm-central/ldap/xpcom/src/nsLDAPUtils.h:127:31: warning: suggest parentheses around ‘&&’ within ‘||’ [-Wparentheses]
/sources/comm-central/ldap/xpcom/src/nsLDAPUtils.h:128:43: warning: suggest parentheses around ‘&&’ within ‘||’ [-Wparentheses]
/sources/comm-central/ldap/xpcom/src/nsLDAPUtils.h:131:50: warning: suggest parentheses around ‘&&’ within ‘||’ [-Wparentheses]
/sources/comm-central/ldap/xpcom/src/nsLDAPUtils.h:132:35: warning: suggest parentheses around ‘&&’ within ‘||’ [-Wparentheses]
/sources/comm-central/ldap/xpcom/src/nsLDAPUtils.h:132:52: warning: suggest parentheses around ‘&&’ within ‘||’ [-Wparentheses]
/sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp: In constructor ‘nsOnLDAPInitMessageRunnable::nsOnLDAPInitMessageRunnable(nsILDAPMessageListener*, nsILDAPConnection*, nsresult)’:
/sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp:410:36: warning: ‘nsOnLDAPInitMessageRunnable::m_listener’ will be initialized after [-Wreorder]
/sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp:409:31: warning:   ‘nsCOMPtr<nsILDAPConnection> nsOnLDAPInitMessageRunnable::m_conn’ [-Wreorder]
/sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp:414:1: warning:   when initialized here [-Wreorder]
/sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp: In member function ‘virtual nsresult nsLDAPConnection::OnLookupComplete(nsICancelable*, nsIDNSRecord*, nsresult)’:
/sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp:496:9: error: ‘NetAddr’ is not a member of ‘mozilla::net’
/sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp:496:31: error: expected ‘;’ before ‘addr’
/sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp:498:16: error: ‘addr’ was not declared in this scope
/sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp:503:50: error: ‘IsIPAddrV4Mapped’ was not declared in this scope
/sources/comm-central/ldap/xpcom/src/nsLDAPConnection.cpp:515:64: error: ‘NetAddrToString’ was not declared in this scope
make[7]: *** [nsLDAPConnection.o] Error 1
Comment 4 Philip Chee 2012-12-25 05:47:11 PST
With MSVS2008SP1 (VC9) I'm getting massive list of errors:

nsLDAPConnection.cpp
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\ws2def.h(91) : warning C4005: 'AF_IPX' : macroredefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(460) : see previous definition of 'AF_IPX'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\ws2def.h(124) : warning C4005: 'AF_MAX' : macro redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(479) : see previous definition of 'AF_MAX'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\ws2def.h(168) : warning C4005: 'SO_DONTLINGER' : macro redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(402) : see previous definition of 'SO_DONTLINGER'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\ws2def.h(212) : error C2011: 'sockaddr' : 'struct' type redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(485) : see declaration of 'sockaddr'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\ws2def.h(390) : error C2143: syntax error : missing '}' before 'constant'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\ws2def.h(390) : error C2143: syntax error : missing ';' before 'constant'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\ws2def.h(390) : error C2059: syntax error : 'constant'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\ws2def.h(443) : error C2143: syntax error : missing ';' before '}'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\ws2def.h(443) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\ws2def.h(443) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\ws2def.h(524) : warning C4005: 'IN_CLASSA' : macro redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(287) : see previous definition of 'IN_CLASSA'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\ws2def.h(530) : warning C4005: 'IN_CLASSB' : macro redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(293) : see previous definition of 'IN_CLASSB'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\ws2def.h(536) : warning C4005: 'IN_CLASSC' : macro redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(299) : see previous definition of 'IN_CLASSC'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\ws2def.h(547) : warning C4005: 'INADDR_ANY' : macro redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(304) : see previous definition of 'INADDR_ANY'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\ws2def.h(549) : warning C4005: 'INADDR_BROADCAST' : macro redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(306) : see previous definition of 'INADDR_BROADCAST'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\ws2def.h(583) : error C2011: 'sockaddr_in' : 'struct' type redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(312) : see declaration of 'sockaddr_in'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\Winsock2.h(132) : error C2011: 'fd_set' : 'struct' type redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(68) : see declaration of 'fd_set'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\Winsock2.h(167) : warning C4005: 'FD_SET' : macro redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(102) : see previous definition of 'FD_SET'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\Winsock2.h(176) : error C2011: 'timeval' : 'struct' type redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(111) : see declaration of 'timeval'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\Winsock2.h(232) : error C2011: 'hostent' : 'struct' type redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(167) : see declaration of 'hostent'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\Winsock2.h(245) : error C2011: 'netent' : 'struct' type redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(180) : see declaration of 'netent'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\Winsock2.h(252) : error C2011: 'servent' : 'struct' type redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(187) : see declaration of 'servent'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\Winsock2.h(264) : error C2011: 'protoent' : 'struct' type redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(199) : see declaration of 'protoent'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\Winsock2.h(360) : error C2011: 'WSAData' : 'struct' type redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(322) : see declaration of 'WSAData'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\Winsock2.h(458) : error C2011: 'sockproto' : 'struct' type redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(494) : see declaration of 'sockproto'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\Winsock2.h(500) : error C2011: 'linger' : 'struct' type redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(531) : see declaration of 'linger'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\Winsock2.h(513) : warning C4005: 'SOMAXCONN' : macro redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(544) : see previous definition of 'SOMAXCONN'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\Winsock2.h(542) : warning C4005: 'FD_READ' : macro redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(562) : see previous definition of 'FD_READ'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\Winsock2.h(545) : warning C4005: 'FD_WRITE' : macro redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(563) : see previous definition of 'FD_WRITE'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\Winsock2.h(548) : warning C4005: 'FD_OOB' : macro redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(564) : see previous definition of 'FD_OOB'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\Winsock2.h(551) : warning C4005: 'FD_ACCEPT' : macro redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(565) : see previous definition of 'FD_ACCEPT'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\Winsock2.h(554) : warning C4005: 'FD_CONNECT' : macro redefinition
        C:\Program Files\Microsoft SDKs\Windows\v7.0\include\winsock.h(566) : see previous definition of 'FD_CONNECT'
C:\Program Files\Microsoft SDKs\Windows\v7.0\include\Winsock2.h(557) : warning C4005: 'FD_CLOSE' : macro redefinition
Comment 5 Frank Wein [:mcsmurf] 2012-12-27 03:26:26 PST
Who could review this patch?
Comment 6 Frank Wein [:mcsmurf] 2012-12-27 03:31:21 PST
Actually, the fix from http://hg.mozilla.org/comm-central/rev/b50fcc1d5026 looks similar to this patch?
Comment 7 Mark Banner (:standard8) (afk until 26th July) 2012-12-27 04:09:17 PST
Comment on attachment 695490 [details] [diff] [review]
fix v1.0

This patch is obsolete with the checking cited (I hadn'tseen this bug/patch before then).

The remaining issues are with windows builds only and probably need someone to play around with includes. I won't have time to do that for a day or two.
Comment 8 Edmund Wong (:ewong) 2012-12-28 19:46:54 PST
Created attachment 696453 [details] [diff] [review]
Fix. (v1)
Comment 9 ABE Hiroki (:hATrayflood) 2012-12-28 19:47:11 PST
Created attachment 696454 [details] [diff] [review]
fix Winsock2.h collision with winsock.h
Comment 10 ABE Hiroki (:hATrayflood) 2012-12-28 20:00:24 PST
Created attachment 696455 [details] [diff] [review]
fix v1.1 Winsock2.h collision with winsock.h
Comment 11 Edmund Wong (:ewong) 2012-12-28 20:02:23 PST
Created attachment 696456 [details] [diff] [review]
Fix. (v2)
Comment 12 Mark Banner (:standard8) (afk until 26th July) 2012-12-29 00:39:47 PST
I think I prefer the solution offered by ABE. Does that fix the nsMsgProtocol case as well?
Comment 13 ABE Hiroki (:hATrayflood) 2012-12-29 00:45:05 PST
(In reply to Mark Banner (:standard8) from comment #12)
> I think I prefer the solution offered by ABE. Does that fix the
> nsMsgProtocol case as well?

now testing to build. please wait a moment...
Comment 14 Richard Marti (:Paenglab) 2012-12-29 05:46:30 PST
ABE's patch didn't worked for me but with Edmund's patch it compiled to the end.
Comment 15 ABE Hiroki (:hATrayflood) 2012-12-29 06:02:54 PST
Created attachment 696493 [details] [diff] [review]
wip v1.2 Winsock2.h collision
Comment 16 ABE Hiroki (:hATrayflood) 2012-12-29 06:05:12 PST
(In reply to ABE Hiroki (hATrayflood) from comment #15)
> Created attachment 696493 [details] [diff] [review]
> wip v1.2 Winsock2.h collision

compile ok. but link failed.
now work in progress...

d:/mozilla/central/comm-central/obj-i686-pc-mingw32/mozilla/_virtualenv/Scripts/python.exe /d/mozilla/central/comm-central/mozilla/config/pythonpath.py -I../../config /d/mozilla/central/comm-central/mozilla/config/expandlibs_exec.py --depend .deps/xul.dll.pp --target xul.dll --uselist -- link -NOLOGO -DLL -OUT:xul.dll -PDB:xul.pdb -SUBSYSTEM:WINDOWS -MACHINE:X86  dlldeps-xul.obj nsStaticXULComponents.obj nsDllMain.obj nsGFXDeps.obj dlldeps-zlib.obj nsUnicharUtils.obj nsBidiUtils.obj nsSpecialCasingData.obj nsUnicodeProperties.obj nsRDFResource.obj   ./module.res -LARGEADDRESSAWARE -NXCOMPAT -DYNAMICBASE -SAFESEH     ../../toolkit/components/osfile/osfile_s.lib ../../toolkit/xre/xulapp_s.lib  ../../staticlib/components/necko.lib ../../staticlib/components/uconv.lib ../../staticlib/components/i18n.lib ../../staticlib/components/chardet.lib ../../staticlib/components/jar50.lib ../../staticlib/components/startupcache.lib ../../staticlib/components/pref.lib ../../staticlib/components/htmlpars.lib ../../staticlib/components/identity.lib ../../staticlib/components/imglib2.lib ../../staticlib/components/mediasniffer.lib ../../staticlib/components/gkgfx.lib ../../staticlib/components/gklayout.lib ../../staticlib/components/docshell.lib ../../staticlib/components/embedcomponents.lib ../../staticlib/components/webbrwsr.lib ../../staticlib/components/nsappshell.lib ../../staticlib/components/txmgr.lib ../../staticlib/components/commandlines.lib ../../staticlib/components/toolkitcomps.lib ../../staticlib/components/pipboot.lib ../../staticlib/components/pipnss.lib ../../staticlib/components/appcomps.lib ../../staticlib/components/jsreflect.lib ../../staticlib/components/composer.lib ../../staticlib/components/telemetry.lib ../../staticlib/components/jsinspector.lib ../../staticlib/components/jsdebugger.lib ../../staticlib/components/storagecomps.lib ../../staticlib/components/rdf.lib ../../staticlib/components/windowds.lib ../../staticlib/components/jsctypes.lib ../../staticlib/components/jsperf.lib ../../staticlib/components/gkplugin.lib ../../staticlib/components/windowsproxy.lib ../../staticlib/components/jsd.lib ../../staticlib/components/autoconfig.lib ../../staticlib/components/auth.lib ../../staticlib/components/cookie.lib ../../staticlib/components/permissions.lib ../../staticlib/components/universalchardet.lib ../../staticlib/components/places.lib ../../staticlib/components/tkautocomplete.lib ../../staticlib/components/satchel.lib ../../staticlib/components/pippki.lib ../../staticlib/components/imgicon.lib ../../staticlib/components/profiler.lib ../../staticlib/components/widget_windows.lib ../../staticlib/components/accessibility.lib ../../staticlib/components/spellchecker.lib ../../staticlib/components/zipwriter.lib ../../staticlib/components/services-crypto.lib ../../staticlib/components/xpautocomplete.lib ../../staticlib/components/mailcomps.lib ../../staticlib/components/mail.lib ../../staticlib/components/msgsmime.lib ../../staticlib/components/import.lib ../../staticlib/components/msgMapi.lib ../../staticlib/components/mozldap.lib ../../staticlib/components/mork.lib ../../staticlib/jsipc_s.lib ../../staticlib/domipc_s.lib ../../staticlib/domplugins_s.lib ../../staticlib/mozipc_s.lib ../../staticlib/mozipdlgen_s.lib ../../staticlib/ipcshell_s.lib ../../staticlib/gfxipc_s.lib ../../staticlib/hal_s.lib ../../staticlib/dombindings_s.lib ../../staticlib/xpcom_core.lib ../../staticlib/ucvutil_s.lib ../../staticlib/chromium_s.lib ../../staticlib/snappy_s.lib ../../staticlib/thebes.lib ../../staticlib/gl.lib ../../staticlib/ycbcr.lib   d:/mozilla/central/comm-central/obj-i686-pc-mingw32/mozilla/dist/lib/mozjs.lib d:/mozilla/central/comm-central/obj-i686-pc-mingw32/mozilla/dist/lib/crmf.lib         d:/mozilla/central/comm-central/obj-i686-pc-mingw32/mozilla/dist/lib/smime3.lib         d:/mozilla/central/comm-central/obj-i686-pc-mingw32/mozilla/dist/lib/ssl3.lib         d:/mozilla/central/comm-central/obj-i686-pc-mingw32/mozilla/dist/lib/nss3.lib         d:/mozilla/central/comm-central/obj-i686-pc-mingw32/mozilla/dist/lib/nssutil3.lib  ../../dist/lib/nsldap32v60.lib ../../dist/lib/nsldappr32v60.lib ../../dist/lib/nsldif32v60.lib ../../dist/lib/mozsqlite3.lib  ../../dist/lib/gkmedias.lib   d:/mozilla/central/comm-central/obj-i686-pc-mingw32/mozilla/dist/lib/nspr4.lib d:/mozilla/central/comm-central/obj-i686-pc-mingw32/mozilla/dist/lib/plc4.lib d:/mozilla/central/comm-central/obj-i686-pc-mingw32/mozilla/dist/lib/plds4.lib  ../../dist/lib/mozalloc.lib -DELAYLOAD:psapi.dll -DELAYLOAD:dbghelp.dll -DELAYLOAD:rasapi32.dll -DELAYLOAD:rasdlg.dll -DELAYLOAD:comdlg32.dll -DELAYLOAD:winspool.drv -DELAYLOAD:secur32.dll -DELAYLOAD:wininet.dll  -DELAYLOAD:oleacc.dll -LIBPATH:../../dist/lib -NODEFAULTLIB:msvcrt -NODEFAULTLIB:msvcrtd -NODEFAULTLIB:msvcprt -NODEFAULTLIB:msvcprtd -DEFAULTLIB:mozcrt kernel32.lib user32.lib gdi32.lib winmm.lib wsock32.lib advapi32.lib secur32.lib netapi32.lib shell32.lib ole32.lib version.lib winspool.lib comdlg32.lib imm32.lib msimg32.lib shlwapi.lib psapi.lib ws2_32.lib dbghelp.lib rasapi32.lib rasdlg.lib iphlpapi.lib uxtheme.lib setupapi.lib secur32.lib sensorsapi.lib portabledeviceguids.lib windowscodecs.lib wininet.lib oleacc.lib delayimp.lib  usp10.lib oleaut32.lib   
   ライブラリ xul.lib とオブジェクト xul.exp を作成中
LINK : warning LNK4098: defaultlib 'LIBCMT' は他のライブラリの使用と競合しています。/NODEFAULTLIB:library を使用してください。
nsMailProfileMigratorUtils.obj : warning LNK4217: ローカルで定義されたシンボル _NS_Free_P がフィクション "void __cdecl GetMigrateDataFromArray(struct MigrationData *,int,bool,class nsIFile *,unsigned short *)" (?GetMigrateDataFromArray@@YAXPAUMigrationData@@H_NPAVnsIFile@@PAG@Z) にインポートされました。
nsSeamonkeyProfileMigrator.obj : warning LNK4049: ローカルで定義されたシンボル _NS_Free_P がインポートされました。
nsNetscapeProfileMigratorBase.obj : warning LNK4217: ローカルで定義されたシンボル _NS_NewNativeLocalFile_P がフィクション "protected: enum tag_nsresult __thiscall nsNetscapeProfileMigratorBase::GetProfileDataFromProfilesIni(class nsIFile *,class nsIMutableArray *,class nsIMutableArray *)" (?GetProfileDataFromProfilesIni@nsNetscapeProfileMigratorBase@@IAE?AW4tag_nsresult@@PAVnsIFile@@PAVnsIMutableArray@@1@Z) にインポートされました。
nsPop3Protocol.obj : error LNK2001: 外部シンボル ""protected: virtual enum tag_nsresult __thiscall nsMsgProtocol::PostMessage(class nsIURI *,class nsIFile *)" (?PostMessage@nsMsgProtocol@@MAE?AW4tag_nsresult@@PAVnsIURI@@PAVnsIFile@@@Z)" は未解決です。
nsMailboxProtocol.obj : error LNK2001: 外部シンボル ""protected: virtual enum tag_nsresult __thiscall nsMsgProtocol::PostMessage(class nsIURI *,class nsIFile *)" (?PostMessage@nsMsgProtocol@@MAE?AW4tag_nsresult@@PAVnsIURI@@PAVnsIFile@@@Z)" は未解決です。
nsImapProtocol.obj : error LNK2001: 外部シンボル ""protected: virtual enum tag_nsresult __thiscall nsMsgProtocol::PostMessage(class nsIURI *,class nsIFile *)" (?PostMessage@nsMsgProtocol@@MAE?AW4tag_nsresult@@PAVnsIURI@@PAVnsIFile@@@Z)" は未解決です。
xul.dll : fatal error LNK1120: 外部参照 1 が未解決です。
make[5]: *** [xul.dll] Error 96
make[5]: Leaving directory `/d/mozilla/central/comm-central/obj-i686-pc-mingw32/mozilla/toolkit/library'
Comment 17 ABE Hiroki (:hATrayflood) 2012-12-29 07:31:22 PST
Created attachment 696498 [details] [diff] [review]
fix v1.3 Winsock2.h collision
Comment 18 ABE Hiroki (:hATrayflood) 2012-12-29 08:40:16 PST
ns****Protocol.cpp have linkage problem after Bug 807678.
to avoid, include winsock2.h in nsMsgProtocol.h like mozilla/net/DNS.h .
Comment 19 neil@parkwaycc.co.uk 2012-12-29 12:25:44 PST
Probably due to winuser.h's #define PostMessage PostMessageA (or W). Note that we already #undef GetPort and SetPort in a number of places.

[And I'm struggling to get my external linkage builds to, well, link... DNS.h is hidden]
Comment 20 ABE Hiroki (:hATrayflood) 2012-12-29 18:49:07 PST
Created attachment 696571 [details] [diff] [review]
fix v1.4 Winsock2.h collision, and function name PostMessage collision
Comment 21 ABE Hiroki (:hATrayflood) 2012-12-29 18:49:48 PST
(In reply to neil@parkwaycc.co.uk from comment #19)
> Probably due to winuser.h's #define PostMessage PostMessageA (or W). Note
> that we already #undef GetPort and SetPort in a number of places.
> 
> [And I'm struggling to get my external linkage builds to, well, link...
> DNS.h is hidden]

thanks for your advise !
Comment 22 Mark Banner (:standard8) (afk until 26th July) 2012-12-30 00:38:25 PST
Comment on attachment 696571 [details] [diff] [review]
fix v1.4 Winsock2.h collision, and function name PostMessage collision

Review of attachment 696571 [details] [diff] [review]:
-----------------------------------------------------------------

Not tested this yet, but I think it looks good enough to land and fix bustage, and we can always tidy it up later if there's better possibilities.
Comment 23 Mark Banner (:standard8) (afk until 26th July) 2012-12-30 00:40:14 PST
Checked in:

https://hg.mozilla.org/comm-central/rev/a0d95d4c2299

I'll leave this open until we've verified the bustage is definitely fixed on trunk.
Comment 24 Mark Banner (:standard8) (afk until 26th July) 2012-12-30 02:51:32 PST
Tree is green now. Abe, Ewong: thanks for your help with fixing this.

Note You need to log in before you can comment on or make changes to this bug.